
Redmine - Defect #21907

receive emails fails

2016-02-01 10:34 - Dmitry Kuznetsov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.0

Description

Hi,

I'm trying to configure receive emails, but it fails:

rake -f /usr/local/rvm/rubies/ruby-2.0.0-p598/bin/rake redmine:email:receive_imap RAILS_ENV="produ

ction" host=ipaddr username=redmineuser password=redminepass --trace

rake aborted!

SystemStackError: stack level too deep

/usr/local/rvm/rubies/ruby-2.0.0-p598/lib/ruby/2.0.0/optparse.rb:1515

same error with ruby-2.1.5    

I also tried plugin (https://github.com/luismaia/redmine_email_fetcher) - if I click on "Fetch" via web interface - it works, but via

console fails with same error.

config:

# ruby bin/about

sh: darcs: command not found

sh: hg: command not found

sh: bzr: command not found

Environment:

  Redmine version                3.2.0.stable

  Ruby version                   2.0.0-p598 (2014-11-13) [x86_64-linux]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  a_common_libs                  2.0.0

  ajax_counters                  1.2.0

  extra_queries                  2.0.3

  redmine_codebutton             0.0.1

  redmine_default_assign         0.5

  redmine_default_version        0.0.2

  redmine_dmsf                   1.5.1 stable

  redmine_monitoring_controlling 0.1.1

  redmine_people                 1.1.1

  redmine_stats                  0.0.2

  redmine_tweaks                 0.5.5

  rm_user_mentions               1.0.0

  unread_issues                  2.0.0

  usability                      2.0.0

 same problem at Redmine 2.6.3

2025-05-02 1/3

https://github.com/luismaia/redmine_email_fetcher


History

#1 - 2016-02-01 12:48 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Try without some plugins.

#2 - 2016-02-01 15:27 - Dmitry Kuznetsov

Toshi MARUYAMA wrote:

Try without some plugins.

 Remove all of them, no changes:

# ruby bin/about

sh: darcs: command not found

sh: hg: command not found

sh: bzr: command not found

Environment:

  Redmine version                3.2.0.stable

  Ruby version                   2.0.0-p598 (2014-11-13) [x86_64-linux]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  no plugin installed

# rake -f /usr/local/rvm/rubies/ruby-2.0.0-p598/bin/rake redmine:email:receive_imap host=ipaddr username=redmi

neuser password=redminepass  RAILS_ENV=production --trace 

rake aborted!

SystemStackError: stack level too deep

/usr/local/rvm/rubies/ruby-2.0.0-p598/lib/ruby/2.0.0/optparse.rb:1515

#3 - 2016-02-01 15:30 - Toshi MARUYAMA

Try updating Ruby.

#4 - 2016-02-02 12:54 - Dmitry Kuznetsov

Toshi MARUYAMA wrote:

Try updating Ruby.

 Same problem with 2.1.4:

# rake -f /usr/local/rvm/rubies/ruby-2.1.4/bin/rake redmine:email:receive_imap host=ipaddr username=redmineuse

r password=redminepass  RAILS_ENV=production --trace

rake aborted!

SystemStackError: stack level too deep

/usr/local/rvm/rubies/ruby-2.1.4/lib/ruby/2.1.0/optparse.rb:329

and 2.1.5:

# rake -f /usr/local/rvm/rubies/ruby-2.1.5/bin/rake redmine:email:receive_imap host=ipaddr username=redmineuse

r password=redminepass RAILS_ENV=production --trace

rake aborted!

SystemStackError: stack level too deep

/usr/local/rvm/rubies/ruby-2.1.4/lib/ruby/2.1.0/optparse.rb:329

#5 - 2016-02-02 13:05 - Toshi MARUYAMA

Try "bundle exec rake ..."
#6 - 2016-02-02 13:55 - Dmitry Kuznetsov

Toshi MARUYAMA wrote:

Try "bundle exec rake ..."

 Runs without errors, marking email as read, but doesn't create ticket.

#7 - 2016-02-02 14:02 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Please use forum for question.
